#ifndef __DELAYS_H
#define __DELAYS_H

  #include "globals.h"

  #define F_APB1 72000000

  extern void delay_ms(unsigned int delay);

  extern void delay_us(unsigned int delay);
  
  extern void tim_init(unsigned int maxdelay);
  
  extern int check_tim(void);
  
  //extern void clear_tim(void);
  
  
#endif
